Package org.bukkit.event.entity

# Class PlayerLeashEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.PlayerLeashEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerLeashEntityEvent extends Event implements Cancellable
Called immediately prior to a creature being leashed by a player.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`PlayerLeashEntityEvent(@NotNull Entity what, @NotNull Entity leashHolder, @NotNull Player leasher)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Returns the entity being leashed.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Entity`
`getLeashHolder()`
Returns the entity that is holding the leash.
`final @NotNull Player`
`getPlayer()`
Returns the player involved in this event
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerLeashEntityEvent

public PlayerLeashEntityEvent(@NotNull @NotNull Entity what, @NotNull @NotNull Entity leashHolder, @NotNull @NotNull Player leasher)

## Method Details

### getLeashHolder

@NotNull public @NotNull Entity getLeashHolder()
Returns the entity that is holding the leash.

Returns:
  The leash holder

### getEntity

@NotNull public @NotNull Entity getEntity()
Returns the entity being leashed.

Returns:
  The entity

### getPlayer

@NotNull public final @NotNull Player getPlayer()
Returns the player involved in this event

Returns:
  Player who is involved in this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event